## org.hibernate.engine.profile
Class Fetch

    java.lang.Object
      org.hibernate.engine.profile.Fetch

    public class Fetch

extends Object

Models an individual fetch within a profile.

Nested Class Summary
`static class` `Fetch.Style` The type or style of fetch.

Constructor Summary
`Fetch(Association association, Fetch.Style style)`

Method Summary
`Association` `getAssociation()`
`Fetch.Style` `getStyle()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Fetch

    public Fetch(Association association,
                 Fetch.Style style)

Method Detail

### getAssociation

    public Association getAssociation()

### getStyle

    public Fetch.Style getStyle()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.